/*
    Rekollect: A note taking application
    Copyright (C) 2010  Jason Jackson <jaxhoo@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef NOTEFACTORY_H
#define NOTEFACTORY_H

class QString;
class Note;

class NoteFactory
{
public:
    static Note *createNewNote(const QString &newNoteName);
    static Note *openExistingNote(const QString &fileName);

private:
    static Note *loadNote(const QString &fileName);

    static int nextNewNoteNumber();
    static int loadNextNewNoteNumber();
    static void storeNextNewNoteNumber(int nextNumber);

    static QString createFileName();

    static int m_nextNewNoteNumber;
};

#endif // NOTEFACTORY_H
